# Uses of Interface
org.opensaml.saml.ext.saml2mdui.DisplayName

Packages that use DisplayName
Package
Description
org.opensaml.saml.ext.saml2mdui
Interfaces for SAML 2 Metadata Extensions for Login UI and Discovery.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of DisplayName in org.opensaml.saml.ext.saml2mdui

Methods in org.opensaml.saml.ext.saml2mdui that return types with arguments of type DisplayName
Modifier and Type
Method
Description
`List<DisplayName>`
UIInfo.`getDisplayNames()`
Get the Display Names

## Uses of DisplayName in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement DisplayName
Modifier and Type
Class
Description
`class`
`DisplayNameImpl`
Concrete implementation of `DisplayName`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return DisplayName
Modifier and Type
Method
Description
`DisplayName`
DisplayNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DisplayName`
DisplayNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return types with arguments of type DisplayName
Modifier and Type
Method
Description
`List<DisplayName>`
UIInfoImpl.`getDisplayNames()`
Get the Display Names